---
title: Return the event audit logs.
slug: api-documentation/return-the-event-audit-logs
docTags: 
createdAt: 2026-08-27T16:59:17.576Z
---

{
  "id": "SIVNPT0vOmF_tiuv6GYmw",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/pim/event-logs/{id}/report",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/event-logs/{id}/report"
      }
    ],
    "name": "Return the event audit logs.",
    "description": "This allows users to get event audit logs.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "description": "This is the id that will used"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site.",
          "minLength": 1
        },
        {
          "kind": "required",
          "name": "x-upstart-site",
          "type": "string",
          "description": "The site identifier.",
          "minLength": 1
        }
      ],
      "queryParameters": [
        {
          "kind": "required",
          "name": "entity",
          "type": "string",
          "description": "Entity Type",
          "enum": [
            "ATTRIBUTE",
            "ATTRIBUTE_GROUP",
            "PRODUCT_TEMPLATE",
            "PRODUCT",
            "VARIANT",
            "SWATCH",
            "SWATCH_COLLECTION",
            "SWATCH_COLLECTION_TYPE",
            "BRAND"
          ]
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "event logs.",
        "jsonExample": "",
        "isExpanded": true,
        "headers": [
          {
            "kind": "optional",
            "name": "Allow",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "ETag",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Cache-Control",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Content-Type",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Location",
            "description": ""
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ValidationErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "User's roles are insufficient for this endpoint.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "405",
        "description": "This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "406",
        "description": "This is to indicate that the resource requested by the client cannot be provided in a format that is acceptable according to the Accept headers sent in the request.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "409",
        "description": "This is to indicate a conflict between the current state of a resource and the request made by the client. It indicates that the server cannot complete the request due to a conflict with the current state of the resource.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "default",
        "description": "This is the default internal server error. System was not able to process this request.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/ErrorResponse.json",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "lDrBdFD5ZKPUzixSPlj1S",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.upstartcommerce.com/pim/event-logs/{id}/report?entity=ATTRIBUTE' \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --header 'x-upstart-site: string'"
        },
        {
          "id": "r_pHdIprmVYgigPHVsF5P",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\nmyHeaders.append(\"x-upstart-site\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/event-logs/{id}/report?entity=ATTRIBUTE\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "PC-DfIptaie5lLFSecx3M",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/event-logs/{id}/report?entity=ATTRIBUTE\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest[\"x-upstart-site\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "IJOm0jzvGsZltSDHmtiCW",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/pim/event-logs/{id}/report?entity=ATTRIBUTE\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string',\n   'x-upstart-site': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "lDrBdFD5ZKPUzixSPlj1S"
    },
    "results": {
      "languages": [
        {
          "id": "T68p2fqyTpNXKRzz9Z1Wu",
          "language": "200",
          "code": "// event logs.\n{}"
        },
        {
          "id": "w5BhCMhj0IyMVstUAxStP",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{}"
        },
        {
          "id": "lPvc5FEaAK-vL5IrNJWkK",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint.\n{}"
        },
        {
          "id": "q2BNcuw4uBpBfFOL1nU9Z",
          "language": "403",
          "code": "// User's roles are insufficient for this endpoint.\n{}"
        },
        {
          "id": "vwoMcQsSwHAZvDLHFLzCg",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{}"
        },
        {
          "id": "P_JlFeQ1BR-4Fz2StEkBA",
          "language": "405",
          "code": "// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.\n{}"
        },
        {
          "id": "Jswb8Q3W28-VkxIcredZg",
          "language": "406",
          "code": "// This is to indicate that the resource requested by the client cannot be provided in a format that is acceptable according to the Accept headers sent in the request.\n{}"
        },
        {
          "id": "FaxsVahdHk-DbnX72k5GG",
          "language": "409",
          "code": "// This is to indicate a conflict between the current state of a resource and the request made by the client. It indicates that the server cannot complete the request due to a conflict with the current state of the resource.\n{}"
        },
        {
          "id": "0kfCQbmU43w3LU1V43R_3",
          "language": "default",
          "code": "// This is the default internal server error. System was not able to process this request.\n{}"
        }
      ],
      "selectedLanguageId": "T68p2fqyTpNXKRzz9Z1Wu"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}